> For the complete documentation index, see [llms.txt](https://docs.spice.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spice.ai/api/management-api/management/limits.md).

# Limits

Organization plan limits

## Get organization limits

> Returns the current plan limits for the authenticated organization, including resource limits when private compute is enabled.

```json
{"openapi":"3.1.0","info":{"title":"Spice Cloud Control-Plane API","version":"v1"},"tags":[{"name":"Limits","description":"Organization plan limits"}],"servers":[{"url":"https://api.spice.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 access token obtained from the Spice.ai authentication service"}}},"paths":{"/v1/limits":{"get":{"summary":"Get organization limits","description":"Returns the current plan limits for the authenticated organization, including resource limits when private compute is enabled.","responses":{"200":{"description":"Organization limits","content":{"application/json":{"schema":{"type":"object","properties":{"apps":{"type":"integer","description":"Maximum number of apps"},"replicas":{"type":"integer","description":"Maximum replicas per app"},"spicepods":{"type":"integer","description":"Maximum spicepods per app"},"users":{"type":"integer","description":"Maximum organization members (-1 means unlimited)"},"api_rps":{"type":"integer","description":"API requests per second limit"},"request_timeout_secs":{"type":"integer","description":"Request timeout in seconds"},"sql_query_timeout_secs":{"type":"integer","description":"SQL query timeout in seconds"},"sql_concurrent_queries":{"type":"integer","description":"Maximum concurrent SQL queries"},"resources":{"type":"object","nullable":true,"description":"Resource limits for private compute; `null` when private compute is not enabled","properties":{"max_cpu":{"type":"integer","description":"Maximum vCPUs per container"},"max_memory_gi":{"type":"integer","description":"Maximum memory in Gi per container"}}}}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Insufficient scope"},"404":{"description":"Organization not found"}},"tags":["Limits"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.spice.ai/api/management-api/management/limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
